Clean and tiddy-up files.
[tomato.git] / release / src / router / flac / config.status
blob2f2029336167518fcd725f40e1e96545704b552d
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile src/libFLAC/Makefile src/libFLAC/flac.pc src/libFLAC/ia32/Makefile src/libFLAC/ppc/Makefile src/libFLAC/ppc/as/Makefile src/libFLAC/ppc/gas/Makefile src/libFLAC/include/Makefile src/libFLAC/include/private/Makefile src/libFLAC/include/protected/Makefile src/libFLAC++/Makefile src/libFLAC++/flac++.pc src/flac/Makefile src/metaflac/Makefile src/monkeys_audio_utilities/Makefile src/monkeys_audio_utilities/flac_mac/Makefile src/monkeys_audio_utilities/flac_ren/Makefile src/plugin_common/Makefile src/plugin_winamp2/Makefile src/plugin_winamp2/include/Makefile src/plugin_winamp2/include/winamp2/Makefile src/plugin_xmms/Makefile src/share/Makefile src/share/getopt/Makefile src/share/grabbag/Makefile src/share/replaygain_analysis/Makefile src/share/replaygain_synthesis/Makefile src/share/replaygain_synthesis/include/Makefile src/share/replaygain_synthesis/include/private/Makefile src/share/utf8/Makefile src/test_grabbag/Makefile src/test_grabbag/cuesheet/Makefile src/test_grabbag/picture/Makefile src/test_libs_common/Makefile src/test_libFLAC/Makefile src/test_libFLAC++/Makefile src/test_seeking/Makefile src/test_streams/Makefile examples/Makefile examples/c/Makefile examples/c/decode/Makefile examples/c/decode/file/Makefile examples/c/encode/Makefile examples/c/encode/file/Makefile examples/cpp/Makefile examples/cpp/decode/Makefile examples/cpp/decode/file/Makefile examples/cpp/encode/Makefile examples/cpp/encode/file/Makefile include/Makefile include/FLAC/Makefile include/FLAC++/Makefile include/share/Makefile include/share/grabbag/Makefile include/test_libs_common/Makefile doc/Makefile doc/html/Makefile doc/html/images/Makefile doc/html/images/hw/Makefile doc/html/ru/Makefile m4/Makefile man/Makefile test/Makefile test/cuesheets/Makefile test/flac-to-flac-metadata-test-files/Makefile test/metaflac-test-files/Makefile test/pictures/Makefile build/Makefile obj/Makefile obj/debug/Makefile obj/debug/bin/Makefile obj/debug/lib/Makefile obj/release/Makefile obj/release/bin/Makefile obj/release/lib/Makefile"
275 config_headers=" config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--host=mipsel-linux' '--build=x86_64-linux-gnu' '--enable-shared' '--enable-static' '--prefix=' '--disable-rpath' '--disable-doxygen-docs' '--disable-xmms-plugin' '--disable-cpplibs' '--without-libiconv-prefix' '--disable-altivec' '--disable-3dnow' '--disable-sse' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -fPIC -ffunction-sections -fdata-sections' 'CPPFLAGS=-I/home/vicente/tomato/release/src-rt/router/libogg/include -I/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'LDFLAGS=-L/home/vicente/tomato/release/src-rt/router/libogg/src/.libs -fPIC -ffunction-sections -fdata-sections -Wl,--gc-sections' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux'\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--enable-shared' '--enable-static' '--prefix=' '--disable-rpath' '--disable-doxygen-docs' '--disable-xmms-plugin' '--disable-cpplibs' '--without-libiconv-prefix' '--disable-altivec' '--disable-3dnow' '--disable-sse' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -fPIC -ffunction-sections -fdata-sections' 'CPPFLAGS=-I/home/vicente/tomato/release/src-rt/router/libogg/include -I/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'LDFLAGS=-L/home/vicente/tomato/release/src-rt/router/libogg/src/.libs -fPIC -ffunction-sections -fdata-sections -Wl,--gc-sections' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--enable-shared' '--enable-static' '--prefix=' '--disable-rpath' '--disable-doxygen-docs' '--disable-xmms-plugin' '--disable-cpplibs' '--without-libiconv-prefix' '--disable-altivec' '--disable-3dnow' '--disable-sse' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -fPIC -ffunction-sections -fdata-sections' 'CPPFLAGS=-I/home/vicente/tomato/release/src-rt/router/libogg/include -I/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'LDFLAGS=-L/home/vicente/tomato/release/src-rt/router/libogg/src/.libs -fPIC -ffunction-sections -fdata-sections -Wl,--gc-sections' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="."
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402 "src/libFLAC/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/Makefile" ;;
403 "src/libFLAC/flac.pc" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/flac.pc" ;;
404 "src/libFLAC/ia32/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/ia32/Makefile" ;;
405 "src/libFLAC/ppc/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/ppc/Makefile" ;;
406 "src/libFLAC/ppc/as/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/ppc/as/Makefile" ;;
407 "src/libFLAC/ppc/gas/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/ppc/gas/Makefile" ;;
408 "src/libFLAC/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/include/Makefile" ;;
409 "src/libFLAC/include/private/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/include/private/Makefile" ;;
410 "src/libFLAC/include/protected/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC/include/protected/Makefile" ;;
411 "src/libFLAC++/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC++/Makefile" ;;
412 "src/libFLAC++/flac++.pc" ) CONFIG_FILES="$CONFIG_FILES src/libFLAC++/flac++.pc" ;;
413 "src/flac/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/flac/Makefile" ;;
414 "src/metaflac/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/metaflac/Makefile" ;;
415 "src/monkeys_audio_utilities/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/monkeys_audio_utilities/Makefile" ;;
416 "src/monkeys_audio_utilities/flac_mac/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/monkeys_audio_utilities/flac_mac/Makefile" ;;
417 "src/monkeys_audio_utilities/flac_ren/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/monkeys_audio_utilities/flac_ren/Makefile" ;;
418 "src/plugin_common/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/plugin_common/Makefile" ;;
419 "src/plugin_winamp2/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/plugin_winamp2/Makefile" ;;
420 "src/plugin_winamp2/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/plugin_winamp2/include/Makefile" ;;
421 "src/plugin_winamp2/include/winamp2/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/plugin_winamp2/include/winamp2/Makefile" ;;
422 "src/plugin_xmms/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/plugin_xmms/Makefile" ;;
423 "src/share/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/Makefile" ;;
424 "src/share/getopt/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/getopt/Makefile" ;;
425 "src/share/grabbag/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/grabbag/Makefile" ;;
426 "src/share/replaygain_analysis/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/replaygain_analysis/Makefile" ;;
427 "src/share/replaygain_synthesis/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/replaygain_synthesis/Makefile" ;;
428 "src/share/replaygain_synthesis/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/replaygain_synthesis/include/Makefile" ;;
429 "src/share/replaygain_synthesis/include/private/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/replaygain_synthesis/include/private/Makefile" ;;
430 "src/share/utf8/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/share/utf8/Makefile" ;;
431 "src/test_grabbag/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_grabbag/Makefile" ;;
432 "src/test_grabbag/cuesheet/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_grabbag/cuesheet/Makefile" ;;
433 "src/test_grabbag/picture/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_grabbag/picture/Makefile" ;;
434 "src/test_libs_common/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_libs_common/Makefile" ;;
435 "src/test_libFLAC/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_libFLAC/Makefile" ;;
436 "src/test_libFLAC++/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_libFLAC++/Makefile" ;;
437 "src/test_seeking/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_seeking/Makefile" ;;
438 "src/test_streams/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test_streams/Makefile" ;;
439 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
440 "examples/c/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/c/Makefile" ;;
441 "examples/c/decode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/c/decode/Makefile" ;;
442 "examples/c/decode/file/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/c/decode/file/Makefile" ;;
443 "examples/c/encode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/c/encode/Makefile" ;;
444 "examples/c/encode/file/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/c/encode/file/Makefile" ;;
445 "examples/cpp/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/Makefile" ;;
446 "examples/cpp/decode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/decode/Makefile" ;;
447 "examples/cpp/decode/file/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/decode/file/Makefile" ;;
448 "examples/cpp/encode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/encode/Makefile" ;;
449 "examples/cpp/encode/file/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/encode/file/Makefile" ;;
450 "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
451 "include/FLAC/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/FLAC/Makefile" ;;
452 "include/FLAC++/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/FLAC++/Makefile" ;;
453 "include/share/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/share/Makefile" ;;
454 "include/share/grabbag/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/share/grabbag/Makefile" ;;
455 "include/test_libs_common/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/test_libs_common/Makefile" ;;
456 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
457 "doc/html/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/html/Makefile" ;;
458 "doc/html/images/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/html/images/Makefile" ;;
459 "doc/html/images/hw/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/html/images/hw/Makefile" ;;
460 "doc/html/ru/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/html/ru/Makefile" ;;
461 "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
462 "man/Makefile" ) CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
463 "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
464 "test/cuesheets/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/cuesheets/Makefile" ;;
465 "test/flac-to-flac-metadata-test-files/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/flac-to-flac-metadata-test-files/Makefile" ;;
466 "test/metaflac-test-files/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/metaflac-test-files/Makefile" ;;
467 "test/pictures/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/pictures/Makefile" ;;
468 "build/Makefile" ) CONFIG_FILES="$CONFIG_FILES build/Makefile" ;;
469 "obj/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/Makefile" ;;
470 "obj/debug/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/debug/Makefile" ;;
471 "obj/debug/bin/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/debug/bin/Makefile" ;;
472 "obj/debug/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/debug/lib/Makefile" ;;
473 "obj/release/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/release/Makefile" ;;
474 "obj/release/bin/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/release/bin/Makefile" ;;
475 "obj/release/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES obj/release/lib/Makefile" ;;
476 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
477 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
478 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
479 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
480 { (exit 1); exit 1; }; };;
481 esac
482 done
484 # If the user did not use the arguments to specify the items to instantiate,
485 # then the envvar interface is used. Set only those that are not.
486 # We use the long form for the default assignment because of an extremely
487 # bizarre bug on SunOS 4.1.3.
488 if $ac_need_defaults; then
489 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
490 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
491 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
494 # Have a temporary directory for convenience. Make it in the build tree
495 # simply because there is no reason to put it here, and in addition,
496 # creating and moving files from /tmp can sometimes cause problems.
497 # Create a temporary directory, and hook for its removal unless debugging.
498 $debug ||
500 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
501 trap '{ (exit 1); exit 1; }' 1 2 13 15
504 # Create a (secure) tmp directory for tmp files.
507 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
508 test -n "$tmp" && test -d "$tmp"
509 } ||
511 tmp=./confstat$$-$RANDOM
512 (umask 077 && mkdir $tmp)
513 } ||
515 echo "$me: cannot create a temporary directory in ." >&2
516 { (exit 1); exit 1; }
521 # CONFIG_FILES section.
524 # No need to generate the scripts if there are no CONFIG_FILES.
525 # This happens for instance when ./config.status config.h
526 if test -n "$CONFIG_FILES"; then
527 # Protect against being on the right side of a sed subst in config.status.
528 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
529 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
530 s,@SHELL@,/bin/sh,;t t
531 s,@PATH_SEPARATOR@,:,;t t
532 s,@PACKAGE_NAME@,,;t t
533 s,@PACKAGE_TARNAME@,,;t t
534 s,@PACKAGE_VERSION@,,;t t
535 s,@PACKAGE_STRING@,,;t t
536 s,@PACKAGE_BUGREPORT@,,;t t
537 s,@exec_prefix@,${prefix},;t t
538 s,@prefix@,,;t t
539 s,@program_transform_name@,s,x,x,,;t t
540 s,@bindir@,${exec_prefix}/bin,;t t
541 s,@sbindir@,${exec_prefix}/sbin,;t t
542 s,@libexecdir@,${exec_prefix}/libexec,;t t
543 s,@datadir@,${prefix}/share,;t t
544 s,@sysconfdir@,${prefix}/etc,;t t
545 s,@sharedstatedir@,${prefix}/com,;t t
546 s,@localstatedir@,${prefix}/var,;t t
547 s,@libdir@,${exec_prefix}/lib,;t t
548 s,@includedir@,${prefix}/include,;t t
549 s,@oldincludedir@,/usr/include,;t t
550 s,@infodir@,${prefix}/info,;t t
551 s,@mandir@,${prefix}/man,;t t
552 s,@build_alias@,x86_64-linux-gnu,;t t
553 s,@host_alias@,mipsel-linux,;t t
554 s,@target_alias@,,;t t
555 s,@DEFS@,-DHAVE_CONFIG_H,;t t
556 s,@ECHO_C@,,;t t
557 s,@ECHO_N@,-n,;t t
558 s,@ECHO_T@,,;t t
559 s,@LIBS@,,;t t
560 s,@INSTALL_PROGRAM@,${INSTALL},;t t
561 s,@INSTALL_SCRIPT@,${INSTALL},;t t
562 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
563 s,@CYGPATH_W@,echo,;t t
564 s,@PACKAGE@,flac,;t t
565 s,@VERSION@,1.2.1,;t t
566 s,@ACLOCAL@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run aclocal-1.7,;t t
567 s,@AUTOCONF@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run autoconf,;t t
568 s,@AUTOMAKE@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run automake-1.7,;t t
569 s,@AUTOHEADER@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run autoheader,;t t
570 s,@MAKEINFO@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run makeinfo,;t t
571 s,@AMTAR@,${SHELL} /home/vicente/tomato/release/src/router/flac/missing --run tar,;t t
572 s,@install_sh@,/home/vicente/tomato/release/src/router/flac/install-sh,;t t
573 s,@STRIP@,mipsel-uclibc-strip -R .note -R .comment,;t t
574 s,@ac_ct_STRIP@,,;t t
575 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
576 s,@AWK@,gawk,;t t
577 s,@SET_MAKE@,,;t t
578 s,@am__leading_dot@,.,;t t
579 s,@MAINTAINER_MODE_TRUE@,#,;t t
580 s,@MAINTAINER_MODE_FALSE@,,;t t
581 s,@MAINT@,#,;t t
582 s,@build@,x86_64-pc-linux-gnu,;t t
583 s,@build_cpu@,x86_64,;t t
584 s,@build_vendor@,pc,;t t
585 s,@build_os@,linux-gnu,;t t
586 s,@host@,mipsel-unknown-linux-gnu,;t t
587 s,@host_cpu@,mipsel,;t t
588 s,@host_vendor@,unknown,;t t
589 s,@host_os@,linux-gnu,;t t
590 s,@CC@,mipsel-uclibc-gcc,;t t
591 s,@CFLAGS@,-O3 -funroll-loops -finline-functions -Wall -W -Winline -Os -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 -fPIC -ffunction-sections -fdata-sections,;t t
592 s,@LDFLAGS@,-L/home/vicente/tomato/release/src-rt/router/libogg/src/.libs -fPIC -ffunction-sections -fdata-sections -Wl,--gc-sections,;t t
593 s,@CPPFLAGS@,-DFLaC__INLINE=__inline__ -DNDEBUG -I$(top_builddir) -I$(srcdir)/include -I$(top_srcdir)/include -I/home/vicente/tomato/release/src-rt/router/libogg/include -I/home/vicente/tomato/release/src-rt/linux/linux-2.6/include,;t t
594 s,@ac_ct_CC@,,;t t
595 s,@EXEEXT@,,;t t
596 s,@OBJEXT@,o,;t t
597 s,@DEPDIR@,.deps,;t t
598 s,@am__include@,include,;t t
599 s,@am__quote@,,;t t
600 s,@AMDEP_TRUE@,,;t t
601 s,@AMDEP_FALSE@,#,;t t
602 s,@AMDEPBACKSLASH@,\,;t t
603 s,@CCDEPMODE@,depmode=gcc3,;t t
604 s,@am__fastdepCC_TRUE@,,;t t
605 s,@am__fastdepCC_FALSE@,#,;t t
606 s,@EGREP@,grep -E,;t t
607 s,@LN_S@,ln -s,;t t
608 s,@ECHO@,echo,;t t
609 s,@AR@,mipsel-uclibc-ar,;t t
610 s,@ac_ct_AR@,,;t t
611 s,@RANLIB@,mipsel-uclibc-ranlib,;t t
612 s,@ac_ct_RANLIB@,,;t t
613 s,@CPP@,mipsel-uclibc-gcc -E,;t t
614 s,@CXX@,mipsel-linux-g++,;t t
615 s,@CXXFLAGS@,-g -O2,;t t
616 s,@ac_ct_CXX@,,;t t
617 s,@CXXDEPMODE@,depmode=gcc3,;t t
618 s,@am__fastdepCXX_TRUE@,,;t t
619 s,@am__fastdepCXX_FALSE@,#,;t t
620 s,@CXXCPP@,mipsel-linux-g++ -E,;t t
621 s,@F77@,,;t t
622 s,@FFLAGS@,,;t t
623 s,@ac_ct_F77@,,;t t
624 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
625 s,@ACLOCAL_AMFLAGS@,-I m4,;t t
626 s,@CCAS@,$(CC),;t t
627 s,@CCASFLAGS@,$(CFLAGS),;t t
628 s,@FLaC__CPU_IA32_TRUE@,#,;t t
629 s,@FLaC__CPU_IA32_FALSE@,,;t t
630 s,@FLaC__CPU_PPC_TRUE@,#,;t t
631 s,@FLaC__CPU_PPC_FALSE@,,;t t
632 s,@FLaC__CPU_SPARC_TRUE@,#,;t t
633 s,@FLaC__CPU_SPARC_FALSE@,,;t t
634 s,@OBJ_FORMAT@,elf,;t t
635 s,@MINGW_WINSOCK_LIBS@,,;t t
636 s,@FLaC__SYS_DARWIN_TRUE@,#,;t t
637 s,@FLaC__SYS_DARWIN_FALSE@,,;t t
638 s,@FLaC__SYS_LINUX_TRUE@,#,;t t
639 s,@FLaC__SYS_LINUX_FALSE@,,;t t
640 s,@FLaC__NO_ASM_TRUE@,#,;t t
641 s,@FLaC__NO_ASM_FALSE@,,;t t
642 s,@DEBUG_TRUE@,#,;t t
643 s,@DEBUG_FALSE@,,;t t
644 s,@FLaC__SSE_OS_TRUE@,#,;t t
645 s,@FLaC__SSE_OS_FALSE@,,;t t
646 s,@FLaC__USE_3DNOW_TRUE@,#,;t t
647 s,@FLaC__USE_3DNOW_FALSE@,,;t t
648 s,@FLaC__USE_ALTIVEC_TRUE@,#,;t t
649 s,@FLaC__USE_ALTIVEC_FALSE@,,;t t
650 s,@FLAC__TEST_LEVEL@,1,;t t
651 s,@FLAC__TEST_WITH_VALGRIND@,no,;t t
652 s,@DOXYGEN@,,;t t
653 s,@FLaC__HAS_DOXYGEN_TRUE@,#,;t t
654 s,@FLaC__HAS_DOXYGEN_FALSE@,,;t t
655 s,@FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_TRUE@,#,;t t
656 s,@FLaC__INSTALL_XMMS_PLUGIN_LOCALLY_FALSE@,,;t t
657 s,@XMMS_CONFIG@,,;t t
658 s,@XMMS_CFLAGS@,,;t t
659 s,@XMMS_LIBS@,,;t t
660 s,@XMMS_VERSION@,,;t t
661 s,@XMMS_DATA_DIR@,,;t t
662 s,@XMMS_PLUGIN_DIR@,,;t t
663 s,@XMMS_VISUALIZATION_PLUGIN_DIR@,,;t t
664 s,@XMMS_INPUT_PLUGIN_DIR@,,;t t
665 s,@XMMS_OUTPUT_PLUGIN_DIR@,,;t t
666 s,@XMMS_GENERAL_PLUGIN_DIR@,,;t t
667 s,@XMMS_EFFECT_PLUGIN_DIR@,,;t t
668 s,@FLaC__HAS_XMMS_TRUE@,#,;t t
669 s,@FLaC__HAS_XMMS_FALSE@,,;t t
670 s,@FLaC__WITH_CPPLIBS_TRUE@,#,;t t
671 s,@FLaC__WITH_CPPLIBS_FALSE@,,;t t
672 s,@OGG_CFLAGS@,-I/include,;t t
673 s,@OGG_LIBS@,-L/lib -logg,;t t
674 s,@FLaC__HAS_OGG_TRUE@,,;t t
675 s,@FLaC__HAS_OGG_FALSE@,#,;t t
676 s,@LIBICONV@,,;t t
677 s,@LTLIBICONV@,,;t t
678 s,@DOCBOOK_TO_MAN@,,;t t
679 s,@FLaC__HAS_DOCBOOK_TO_MAN_TRUE@,#,;t t
680 s,@FLaC__HAS_DOCBOOK_TO_MAN_FALSE@,,;t t
681 s,@NASM@,,;t t
682 s,@FLaC__HAS_NASM_TRUE@,#,;t t
683 s,@FLaC__HAS_NASM_FALSE@,,;t t
684 s,@AS@,gas,;t t
685 s,@GAS@,gas,;t t
686 s,@FLaC__HAS_AS_TRUE@,#,;t t
687 s,@FLaC__HAS_AS_FALSE@,,;t t
688 s,@FLaC__HAS_GAS_TRUE@,,;t t
689 s,@FLaC__HAS_GAS_FALSE@,#,;t t
690 s,@FLaC__HAS_AS__TEMPORARILY_DISABLED_TRUE@,#,;t t
691 s,@FLaC__HAS_AS__TEMPORARILY_DISABLED_FALSE@,,;t t
692 s,@FLaC__HAS_GAS__TEMPORARILY_DISABLED_TRUE@,#,;t t
693 s,@FLaC__HAS_GAS__TEMPORARILY_DISABLED_FALSE@,,;t t
694 s,@LIBOBJS@,,;t t
695 s,@LTLIBOBJS@,,;t t
696 CEOF
698 # Split the substitutions into bite-sized pieces for seds with
699 # small command number limits, like on Digital OSF/1 and HP-UX.
700 ac_max_sed_lines=48
701 ac_sed_frag=1 # Number of current file.
702 ac_beg=1 # First line for current file.
703 ac_end=$ac_max_sed_lines # Line after last line for current file.
704 ac_more_lines=:
705 ac_sed_cmds=
706 while $ac_more_lines; do
707 if test $ac_beg -gt 1; then
708 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
709 else
710 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
712 if test ! -s $tmp/subs.frag; then
713 ac_more_lines=false
714 else
715 # The purpose of the label and of the branching condition is to
716 # speed up the sed processing (if there are no `@' at all, there
717 # is no need to browse any of the substitutions).
718 # These are the two extra sed commands mentioned above.
719 (echo ':t
720 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
721 if test -z "$ac_sed_cmds"; then
722 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
723 else
724 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
726 ac_sed_frag=`expr $ac_sed_frag + 1`
727 ac_beg=$ac_end
728 ac_end=`expr $ac_end + $ac_max_sed_lines`
730 done
731 if test -z "$ac_sed_cmds"; then
732 ac_sed_cmds=cat
734 fi # test -n "$CONFIG_FILES"
736 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
737 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
738 case $ac_file in
739 - | *:- | *:-:* ) # input from stdin
740 cat >$tmp/stdin
741 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
742 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
743 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
744 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
745 * ) ac_file_in=$ac_file.in ;;
746 esac
748 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
749 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
750 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
751 X"$ac_file" : 'X\(//\)[^/]' \| \
752 X"$ac_file" : 'X\(//\)$' \| \
753 X"$ac_file" : 'X\(/\)' \| \
754 . : '\(.\)' 2>/dev/null ||
755 echo X"$ac_file" |
756 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
757 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
758 /^X\(\/\/\)$/{ s//\1/; q; }
759 /^X\(\/\).*/{ s//\1/; q; }
760 s/.*/./; q'`
761 { if $as_mkdir_p; then
762 mkdir -p "$ac_dir"
763 else
764 as_dir="$ac_dir"
765 as_dirs=
766 while test ! -d "$as_dir"; do
767 as_dirs="$as_dir $as_dirs"
768 as_dir=`(dirname "$as_dir") 2>/dev/null ||
769 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
770 X"$as_dir" : 'X\(//\)[^/]' \| \
771 X"$as_dir" : 'X\(//\)$' \| \
772 X"$as_dir" : 'X\(/\)' \| \
773 . : '\(.\)' 2>/dev/null ||
774 echo X"$as_dir" |
775 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
776 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
777 /^X\(\/\/\)$/{ s//\1/; q; }
778 /^X\(\/\).*/{ s//\1/; q; }
779 s/.*/./; q'`
780 done
781 test ! -n "$as_dirs" || mkdir $as_dirs
782 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
783 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
784 { (exit 1); exit 1; }; }; }
786 ac_builddir=.
788 if test "$ac_dir" != .; then
789 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
790 # A "../" for each directory in $ac_dir_suffix.
791 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
792 else
793 ac_dir_suffix= ac_top_builddir=
796 case $srcdir in
797 .) # No --srcdir option. We are building in place.
798 ac_srcdir=.
799 if test -z "$ac_top_builddir"; then
800 ac_top_srcdir=.
801 else
802 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
803 fi ;;
804 [\\/]* | ?:[\\/]* ) # Absolute path.
805 ac_srcdir=$srcdir$ac_dir_suffix;
806 ac_top_srcdir=$srcdir ;;
807 *) # Relative path.
808 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
809 ac_top_srcdir=$ac_top_builddir$srcdir ;;
810 esac
812 # Do not use `cd foo && pwd` to compute absolute paths, because
813 # the directories may not exist.
814 case `pwd` in
815 .) ac_abs_builddir="$ac_dir";;
817 case "$ac_dir" in
818 .) ac_abs_builddir=`pwd`;;
819 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
820 *) ac_abs_builddir=`pwd`/"$ac_dir";;
821 esac;;
822 esac
823 case $ac_abs_builddir in
824 .) ac_abs_top_builddir=${ac_top_builddir}.;;
826 case ${ac_top_builddir}. in
827 .) ac_abs_top_builddir=$ac_abs_builddir;;
828 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
829 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
830 esac;;
831 esac
832 case $ac_abs_builddir in
833 .) ac_abs_srcdir=$ac_srcdir;;
835 case $ac_srcdir in
836 .) ac_abs_srcdir=$ac_abs_builddir;;
837 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
838 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
839 esac;;
840 esac
841 case $ac_abs_builddir in
842 .) ac_abs_top_srcdir=$ac_top_srcdir;;
844 case $ac_top_srcdir in
845 .) ac_abs_top_srcdir=$ac_abs_builddir;;
846 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
847 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
848 esac;;
849 esac
852 case $INSTALL in
853 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
854 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
855 esac
857 if test x"$ac_file" != x-; then
858 { echo "$as_me:$LINENO: creating $ac_file" >&5
859 echo "$as_me: creating $ac_file" >&6;}
860 rm -f "$ac_file"
862 # Let's still pretend it is `configure' which instantiates (i.e., don't
863 # use $as_me), people would be surprised to read:
864 # /* config.h. Generated by config.status. */
865 if test x"$ac_file" = x-; then
866 configure_input=
867 else
868 configure_input="$ac_file. "
870 configure_input=$configure_input"Generated from `echo $ac_file_in |
871 sed 's,.*/,,'` by configure."
873 # First look for the input files in the build tree, otherwise in the
874 # src tree.
875 ac_file_inputs=`IFS=:
876 for f in $ac_file_in; do
877 case $f in
878 -) echo $tmp/stdin ;;
879 [\\/$]*)
880 # Absolute (can't be DOS-style, as IFS=:)
881 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
882 echo "$as_me: error: cannot find input file: $f" >&2;}
883 { (exit 1); exit 1; }; }
884 echo "$f";;
885 *) # Relative
886 if test -f "$f"; then
887 # Build tree
888 echo "$f"
889 elif test -f "$srcdir/$f"; then
890 # Source tree
891 echo "$srcdir/$f"
892 else
893 # /dev/null tree
894 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
895 echo "$as_me: error: cannot find input file: $f" >&2;}
896 { (exit 1); exit 1; }; }
897 fi;;
898 esac
899 done` || { (exit 1); exit 1; }
900 sed "/^[ ]*VPATH[ ]*=/{
901 s/:*\$(srcdir):*/:/;
902 s/:*\${srcdir}:*/:/;
903 s/:*@srcdir@:*/:/;
904 s/^\([^=]*=[ ]*\):*/\1/;
905 s/:*$//;
906 s/^[^=]*=[ ]*$//;
910 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
911 s,@configure_input@,$configure_input,;t t
912 s,@srcdir@,$ac_srcdir,;t t
913 s,@abs_srcdir@,$ac_abs_srcdir,;t t
914 s,@top_srcdir@,$ac_top_srcdir,;t t
915 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
916 s,@builddir@,$ac_builddir,;t t
917 s,@abs_builddir@,$ac_abs_builddir,;t t
918 s,@top_builddir@,$ac_top_builddir,;t t
919 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
920 s,@INSTALL@,$ac_INSTALL,;t t
921 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
922 rm -f $tmp/stdin
923 if test x"$ac_file" != x-; then
924 mv $tmp/out $ac_file
925 else
926 cat $tmp/out
927 rm -f $tmp/out
930 done
933 # CONFIG_HEADER section.
936 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
937 # NAME is the cpp macro being defined and VALUE is the value it is being given.
939 # ac_d sets the value in "#define NAME VALUE" lines.
940 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
941 ac_dB='[ ].*$,\1#\2'
942 ac_dC=' '
943 ac_dD=',;t'
944 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
945 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
946 ac_uB='$,\1#\2define\3'
947 ac_uC=' '
948 ac_uD=',;t'
950 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
951 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
952 case $ac_file in
953 - | *:- | *:-:* ) # input from stdin
954 cat >$tmp/stdin
955 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
956 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
957 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
958 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
959 * ) ac_file_in=$ac_file.in ;;
960 esac
962 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
963 echo "$as_me: creating $ac_file" >&6;}
965 # First look for the input files in the build tree, otherwise in the
966 # src tree.
967 ac_file_inputs=`IFS=:
968 for f in $ac_file_in; do
969 case $f in
970 -) echo $tmp/stdin ;;
971 [\\/$]*)
972 # Absolute (can't be DOS-style, as IFS=:)
973 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
974 echo "$as_me: error: cannot find input file: $f" >&2;}
975 { (exit 1); exit 1; }; }
976 # Do quote $f, to prevent DOS paths from being IFS'd.
977 echo "$f";;
978 *) # Relative
979 if test -f "$f"; then
980 # Build tree
981 echo "$f"
982 elif test -f "$srcdir/$f"; then
983 # Source tree
984 echo "$srcdir/$f"
985 else
986 # /dev/null tree
987 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
988 echo "$as_me: error: cannot find input file: $f" >&2;}
989 { (exit 1); exit 1; }; }
990 fi;;
991 esac
992 done` || { (exit 1); exit 1; }
993 # Remove the trailing spaces.
994 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
996 # Handle all the #define templates only if necessary.
997 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
998 # If there are no defines, we may have an empty if/fi
1000 cat >$tmp/defines.sed <<CEOF
1001 /^[ ]*#[ ]*define/!b
1002 t clr
1003 : clr
1004 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
1005 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
1006 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
1007 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
1008 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
1009 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"flac"${ac_dD}
1010 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.2.1"${ac_dD}
1011 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
1012 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
1013 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
1014 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
1015 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
1016 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
1017 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
1018 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
1019 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
1020 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
1021 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
1022 ${ac_dA}_FILE_OFFSET_BITS${ac_dB}_FILE_OFFSET_BITS${ac_dC}64${ac_dD}
1023 ${ac_dA}_LARGEFILE_SOURCE${ac_dB}_LARGEFILE_SOURCE${ac_dC}1${ac_dD}
1024 ${ac_dA}HAVE_FSEEKO${ac_dB}HAVE_FSEEKO${ac_dC}1${ac_dD}
1025 ${ac_dA}SIZEOF_VOIDP${ac_dB}SIZEOF_VOIDP${ac_dC}4${ac_dD}
1026 ${ac_dA}HAVE_SOCKLEN_T${ac_dB}HAVE_SOCKLEN_T${ac_dC}1${ac_dD}
1027 ${ac_dA}HAVE_GETOPT_LONG${ac_dB}HAVE_GETOPT_LONG${ac_dC}1${ac_dD}
1028 ${ac_dA}FLAC__HAS_OGG${ac_dB}FLAC__HAS_OGG${ac_dC}1${ac_dD}
1029 ${ac_dA}HAVE_LANGINFO_CODESET${ac_dB}HAVE_LANGINFO_CODESET${ac_dC}1${ac_dD}
1030 ${ac_dA}FLAC__HAS_GAS${ac_dB}FLAC__HAS_GAS${ac_dC}1${ac_dD}
1031 CEOF
1032 sed -f $tmp/defines.sed $tmp/in >$tmp/out
1033 rm -f $tmp/in
1034 mv $tmp/out $tmp/in
1036 fi # grep
1038 # Handle all the #undef templates
1039 cat >$tmp/undefs.sed <<CEOF
1040 /^[ ]*#[ ]*undef/!b
1041 t clr
1042 : clr
1043 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
1044 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
1045 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
1046 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
1047 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
1048 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"flac"${ac_uD}
1049 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.2.1"${ac_uD}
1050 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1051 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
1052 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
1053 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1054 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1055 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
1056 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1057 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
1058 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
1059 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1060 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
1061 ${ac_uA}_FILE_OFFSET_BITS${ac_uB}_FILE_OFFSET_BITS${ac_uC}64${ac_uD}
1062 ${ac_uA}_LARGEFILE_SOURCE${ac_uB}_LARGEFILE_SOURCE${ac_uC}1${ac_uD}
1063 ${ac_uA}HAVE_FSEEKO${ac_uB}HAVE_FSEEKO${ac_uC}1${ac_uD}
1064 ${ac_uA}SIZEOF_VOIDP${ac_uB}SIZEOF_VOIDP${ac_uC}4${ac_uD}
1065 ${ac_uA}HAVE_SOCKLEN_T${ac_uB}HAVE_SOCKLEN_T${ac_uC}1${ac_uD}
1066 ${ac_uA}HAVE_GETOPT_LONG${ac_uB}HAVE_GETOPT_LONG${ac_uC}1${ac_uD}
1067 ${ac_uA}FLAC__HAS_OGG${ac_uB}FLAC__HAS_OGG${ac_uC}1${ac_uD}
1068 ${ac_uA}HAVE_LANGINFO_CODESET${ac_uB}HAVE_LANGINFO_CODESET${ac_uC}1${ac_uD}
1069 ${ac_uA}FLAC__HAS_GAS${ac_uB}FLAC__HAS_GAS${ac_uC}1${ac_uD}
1070 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1071 CEOF
1072 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1073 rm -f $tmp/in
1074 mv $tmp/out $tmp/in
1076 # Let's still pretend it is `configure' which instantiates (i.e., don't
1077 # use $as_me), people would be surprised to read:
1078 # /* config.h. Generated by config.status. */
1079 if test x"$ac_file" = x-; then
1080 echo "/* Generated by configure. */" >$tmp/config.h
1081 else
1082 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
1084 cat $tmp/in >>$tmp/config.h
1085 rm -f $tmp/in
1086 if test x"$ac_file" != x-; then
1087 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1088 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1089 echo "$as_me: $ac_file is unchanged" >&6;}
1090 else
1091 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1092 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1093 X"$ac_file" : 'X\(//\)[^/]' \| \
1094 X"$ac_file" : 'X\(//\)$' \| \
1095 X"$ac_file" : 'X\(/\)' \| \
1096 . : '\(.\)' 2>/dev/null ||
1097 echo X"$ac_file" |
1098 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1099 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1100 /^X\(\/\/\)$/{ s//\1/; q; }
1101 /^X\(\/\).*/{ s//\1/; q; }
1102 s/.*/./; q'`
1103 { if $as_mkdir_p; then
1104 mkdir -p "$ac_dir"
1105 else
1106 as_dir="$ac_dir"
1107 as_dirs=
1108 while test ! -d "$as_dir"; do
1109 as_dirs="$as_dir $as_dirs"
1110 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1111 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1112 X"$as_dir" : 'X\(//\)[^/]' \| \
1113 X"$as_dir" : 'X\(//\)$' \| \
1114 X"$as_dir" : 'X\(/\)' \| \
1115 . : '\(.\)' 2>/dev/null ||
1116 echo X"$as_dir" |
1117 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1118 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1119 /^X\(\/\/\)$/{ s//\1/; q; }
1120 /^X\(\/\).*/{ s//\1/; q; }
1121 s/.*/./; q'`
1122 done
1123 test ! -n "$as_dirs" || mkdir $as_dirs
1124 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1125 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1126 { (exit 1); exit 1; }; }; }
1128 rm -f $ac_file
1129 mv $tmp/config.h $ac_file
1131 else
1132 cat $tmp/config.h
1133 rm -f $tmp/config.h
1135 # Compute $ac_file's index in $config_headers.
1136 _am_stamp_count=1
1137 for _am_header in $config_headers :; do
1138 case $_am_header in
1139 $ac_file | $ac_file:* )
1140 break ;;
1142 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1143 esac
1144 done
1145 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1146 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1147 X$ac_file : 'X\(//\)[^/]' \| \
1148 X$ac_file : 'X\(//\)$' \| \
1149 X$ac_file : 'X\(/\)' \| \
1150 . : '\(.\)' 2>/dev/null ||
1151 echo X$ac_file |
1152 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1153 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1154 /^X\(\/\/\)$/{ s//\1/; q; }
1155 /^X\(\/\).*/{ s//\1/; q; }
1156 s/.*/./; q'`/stamp-h$_am_stamp_count
1157 done
1160 # CONFIG_COMMANDS section.
1162 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1163 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1164 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1165 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1166 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1167 X"$ac_dest" : 'X\(//\)[^/]' \| \
1168 X"$ac_dest" : 'X\(//\)$' \| \
1169 X"$ac_dest" : 'X\(/\)' \| \
1170 . : '\(.\)' 2>/dev/null ||
1171 echo X"$ac_dest" |
1172 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1173 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1174 /^X\(\/\/\)$/{ s//\1/; q; }
1175 /^X\(\/\).*/{ s//\1/; q; }
1176 s/.*/./; q'`
1177 { if $as_mkdir_p; then
1178 mkdir -p "$ac_dir"
1179 else
1180 as_dir="$ac_dir"
1181 as_dirs=
1182 while test ! -d "$as_dir"; do
1183 as_dirs="$as_dir $as_dirs"
1184 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1185 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1186 X"$as_dir" : 'X\(//\)[^/]' \| \
1187 X"$as_dir" : 'X\(//\)$' \| \
1188 X"$as_dir" : 'X\(/\)' \| \
1189 . : '\(.\)' 2>/dev/null ||
1190 echo X"$as_dir" |
1191 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1192 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1193 /^X\(\/\/\)$/{ s//\1/; q; }
1194 /^X\(\/\).*/{ s//\1/; q; }
1195 s/.*/./; q'`
1196 done
1197 test ! -n "$as_dirs" || mkdir $as_dirs
1198 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1199 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1200 { (exit 1); exit 1; }; }; }
1202 ac_builddir=.
1204 if test "$ac_dir" != .; then
1205 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1206 # A "../" for each directory in $ac_dir_suffix.
1207 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1208 else
1209 ac_dir_suffix= ac_top_builddir=
1212 case $srcdir in
1213 .) # No --srcdir option. We are building in place.
1214 ac_srcdir=.
1215 if test -z "$ac_top_builddir"; then
1216 ac_top_srcdir=.
1217 else
1218 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1219 fi ;;
1220 [\\/]* | ?:[\\/]* ) # Absolute path.
1221 ac_srcdir=$srcdir$ac_dir_suffix;
1222 ac_top_srcdir=$srcdir ;;
1223 *) # Relative path.
1224 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1225 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1226 esac
1228 # Do not use `cd foo && pwd` to compute absolute paths, because
1229 # the directories may not exist.
1230 case `pwd` in
1231 .) ac_abs_builddir="$ac_dir";;
1233 case "$ac_dir" in
1234 .) ac_abs_builddir=`pwd`;;
1235 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1236 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1237 esac;;
1238 esac
1239 case $ac_abs_builddir in
1240 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1242 case ${ac_top_builddir}. in
1243 .) ac_abs_top_builddir=$ac_abs_builddir;;
1244 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1245 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1246 esac;;
1247 esac
1248 case $ac_abs_builddir in
1249 .) ac_abs_srcdir=$ac_srcdir;;
1251 case $ac_srcdir in
1252 .) ac_abs_srcdir=$ac_abs_builddir;;
1253 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1254 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1255 esac;;
1256 esac
1257 case $ac_abs_builddir in
1258 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1260 case $ac_top_srcdir in
1261 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1262 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1263 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1264 esac;;
1265 esac
1268 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1269 echo "$as_me: executing $ac_dest commands" >&6;}
1270 case $ac_dest in
1271 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1272 # Strip MF so we end up with the name of the file.
1273 mf=`echo "$mf" | sed -e 's/:.*$//'`
1274 # Check whether this is an Automake generated Makefile or not.
1275 # We used to match only the files named `Makefile.in', but
1276 # some people rename them; so instead we look at the file content.
1277 # Grep'ing the first line is not enough: some people post-process
1278 # each Makefile.in and add a new line on top of each file to say so.
1279 # So let's grep whole file.
1280 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1281 dirpart=`(dirname "$mf") 2>/dev/null ||
1282 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1283 X"$mf" : 'X\(//\)[^/]' \| \
1284 X"$mf" : 'X\(//\)$' \| \
1285 X"$mf" : 'X\(/\)' \| \
1286 . : '\(.\)' 2>/dev/null ||
1287 echo X"$mf" |
1288 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1289 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1290 /^X\(\/\/\)$/{ s//\1/; q; }
1291 /^X\(\/\).*/{ s//\1/; q; }
1292 s/.*/./; q'`
1293 else
1294 continue
1296 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1297 # Extract the definition of DEP_FILES from the Makefile without
1298 # running `make'.
1299 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
1300 test -z "$DEPDIR" && continue
1301 # When using ansi2knr, U may be empty or an underscore; expand it
1302 U=`sed -n -e '/^U = / s///p' < "$mf"`
1303 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1304 # We invoke sed twice because it is the simplest approach to
1305 # changing $(DEPDIR) to its actual value in the expansion.
1306 for file in `sed -n -e '
1307 /^DEP_FILES = .*\\\\$/ {
1308 s/^DEP_FILES = //
1309 :loop
1310 s/\\\\$//
1313 /\\\\$/ b loop
1316 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1317 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1318 # Make sure the directory exists.
1319 test -f "$dirpart/$file" && continue
1320 fdir=`(dirname "$file") 2>/dev/null ||
1321 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1322 X"$file" : 'X\(//\)[^/]' \| \
1323 X"$file" : 'X\(//\)$' \| \
1324 X"$file" : 'X\(/\)' \| \
1325 . : '\(.\)' 2>/dev/null ||
1326 echo X"$file" |
1327 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1328 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1329 /^X\(\/\/\)$/{ s//\1/; q; }
1330 /^X\(\/\).*/{ s//\1/; q; }
1331 s/.*/./; q'`
1332 { if $as_mkdir_p; then
1333 mkdir -p $dirpart/$fdir
1334 else
1335 as_dir=$dirpart/$fdir
1336 as_dirs=
1337 while test ! -d "$as_dir"; do
1338 as_dirs="$as_dir $as_dirs"
1339 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1340 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1341 X"$as_dir" : 'X\(//\)[^/]' \| \
1342 X"$as_dir" : 'X\(//\)$' \| \
1343 X"$as_dir" : 'X\(/\)' \| \
1344 . : '\(.\)' 2>/dev/null ||
1345 echo X"$as_dir" |
1346 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1347 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1348 /^X\(\/\/\)$/{ s//\1/; q; }
1349 /^X\(\/\).*/{ s//\1/; q; }
1350 s/.*/./; q'`
1351 done
1352 test ! -n "$as_dirs" || mkdir $as_dirs
1353 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1354 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1355 { (exit 1); exit 1; }; }; }
1357 # echo "creating $dirpart/$file"
1358 echo '# dummy' > "$dirpart/$file"
1359 done
1360 done
1362 esac
1363 done
1365 { (exit 0); exit 0; }